package com.prolog.cs.biz.inbound.service.impl.processor.policy;

import java.util.Map;

/**
 * 收货策略上下文
 * 
 * @author Xiong
 *
 */
public class RcvPolicyContext {

	private RcvPolicy rcvPolicy;

	public RcvPolicyContext(RcvPolicy rcvPolicy) {
		this.rcvPolicy = rcvPolicy;
	}

	public Object getResult(Map<String,Object> map) {
		return rcvPolicy.algorithmRcv(map);
	}
}
